Attribute VB_Name = "modReproducirWAV"
Option Explicit

Const SND_SYNC = &H0      'Modo sncrono. La funcin no retorna hasta que la msica finalice
Const SND_ASYNC = &H1     'Modo asncrono. La funcin retorna una vez iniciada la msica (sonido en background)
Const SND_NODEFAULT = &H2 'Si no se puede ejecutar el fichero especificado, silencio (no tocar el fichero por omisin)
Const SND_LOOP = &H8      'La msica seguir sonando repetidamente hasta que la funcin PlaySound sea llamada de nuevo con un valor nulo como nombre de fichero
Const SND_NOSTOP = &H10   'Si hay un fichero ejecutndose, no interrumpirlo

'PlaySound es una funcin de la API de Windows que permite ejecutar archivos .wav
Private Declare Function PlaySound Lib "winmm.dll" Alias "PlaySoundA" (ByVal lpszName As String, ByVal hModule As Long, ByVal dwFlags As Long) As Long

Public Sub ReproducirWavAPI(strArchivo As String, ByRef blnError)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intId As Integer
blnError = False
intId = PlaySound(strArchivo, 0&, SND_ASYNC Or SND_NODEFAULT Or SND_NOSTOP)
If intId = 0 Then blnError = True
End Sub

