Attribute VB_Name = "modProcedimientos"
Option Explicit


Public Sub MostrarPantallaRespCorrecta()
Dim intAleatorio As Integer
If ((blnPantallaRespCorrecta(1) = True) Or (blnPantallaRespCorrecta(2) = True) Or (blnPantallaRespCorrecta(3) = True) Or (blnPantallaRespCorrecta(4) = True)) Then
  intAleatorio = Int(Rnd * 4) + 1
  'Calculo un aleatorio entre 1 y 4, hasta que la pantalla para resp. correcta correspondiente est seleccionada
  Do While (blnPantallaRespCorrecta(intAleatorio) = False)
    intAleatorio = Int(Rnd * 4) + 1
  Loop
  Select Case intAleatorio
    Case 1
      frmCorrecta1.Show 1
    Case 2
      frmCorrecta2.Show 1
    Case 3
      frmCorrecta3.Show 1
    Case 4
      frmCorrecta4.Show 1
  End Select
End If
End Sub


Public Sub ReproducirWav(strArchivo As String)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
frmFondo.mmcSonido.Command = "Close"
frmFondo.mmcSonido.Notify = False
frmFondo.mmcSonido.Wait = True
frmFondo.mmcSonido.Shareable = False
frmFondo.mmcSonido.DeviceType = "WaveAudio"
frmFondo.mmcSonido.FileName = strArchivo
frmFondo.mmcSonido.Command = "Open"
frmFondo.mmcSonido.Command = "Play"
End Sub

Public Sub CargarValoresPorDefecto()
  'Establezco los valores por defecto de las variables globales del archivo pls.ini
  strUltimaCarpeta = App.Path & "\actividades_pls"
  intNumeroCom = 1
  intUltimaVelocidadDeBarrido = 2000
  strUltimaFuenteNombre = "Arial Black"
  intUltimaFuenteTamanio = 24
  blnUltimaFuenteNegrita = False
  blnUltimaFuenteItalica = False
  lngUltimoColorFondo = 16777215
  lngUltimoColorTexto = 10485760
  blnSonidoRespCorrecta = True
  blnSonidoRespIncorrecta = True
  blnPasarRespCorrecta = True
  blnPasarRespIncorrecta = False
  blnPantallaRespCorrecta(1) = True
  blnPantallaRespCorrecta(2) = True
  blnPantallaRespCorrecta(3) = True
  blnPantallaRespCorrecta(4) = True
  strSonidoRespCorrecta(0) = App.Path & "\sonidos_pls\aplausos1.wav"
  strSonidoRespCorrecta(1) = App.Path & "\sonidos_pls\chanchan.wav"
  strSonidoRespCorrecta(2) = App.Path & "\sonidos_pls\pianito.wav"
  strSonidoRespIncorrecta(0) = App.Path & "\sonidos_pls\boing.wav"
  strSonidoRespIncorrecta(1) = App.Path & "\sonidos_pls\explosion.wav"
  strSonidoRespIncorrecta(2) = App.Path & "\sonidos_pls\aviso.wav"
End Sub


Sub ActivarSwitch1()
If (formularioAbierto.Tag <> "Men") Then
  'Esto es para que no reconozca la accin del switch en la pantalla de men
  Call formularioAbierto.SwitchActivo
End If
End Sub


Sub ActivarSwitch2()
If (formularioAbierto.Tag <> "Men") Then
  'Esto es para que no reconozca la accin del switch en la pantalla de men
  Call formularioAbierto.SwitchActivo
End If
End Sub


Sub DesactivarSwitch1()
'
End Sub


Sub DesactivarSwitch2()
'
End Sub


Public Sub ReproducirSonidoRespIncorrecta()
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAleatorio As Integer, blnErrorDelWav As Boolean
If (blnSonidoRespIncorrecta = True) And ((strSonidoRespIncorrecta(0) <> "") Or (strSonidoRespIncorrecta(1) <> "") Or (strSonidoRespIncorrecta(2) <> "")) Then
  'Calculo un aleatorio entre 0 y 2, hasta que haya un archivo de sonido con ese ndice
  intAleatorio = Int(Rnd * 3)
  Do While (strSonidoRespIncorrecta(intAleatorio) = "")
    intAleatorio = Int(Rnd * 3)
  Loop
  'Call ReproducirWavAPI(strSonidoRespIncorrecta(intAleatorio), blnErrorDelWav)
  'Uso la lnea de abajo en vez de la anterior para que se reproduzca si ya est sonando algo
  ReproducirWav (strSonidoRespIncorrecta(intAleatorio))
End If
End Sub


Public Sub ReproducirSonidoRespCorrecta()
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAleatorio As Integer, blnErrorDelWav As Boolean
If (blnSonidoRespCorrecta = True) And ((strSonidoRespCorrecta(0) <> "") Or (strSonidoRespCorrecta(1) <> "") Or (strSonidoRespCorrecta(2) <> "")) Then
  'Calculo un aleatorio entre 0 y 2, hasta que haya un archivo de sonido con ese ndice
  intAleatorio = Int(Rnd * 3)
  Do While (strSonidoRespCorrecta(intAleatorio) = "")
    intAleatorio = Int(Rnd * 3)
  Loop
  'Call ReproducirWavAPI(strSonidoRespCorrecta(intAleatorio), blnErrorDelWav)
  'Uso la lnea de abajo en vez de la anterior para que se reproduzca si ya est sonando algo
  ReproducirWav (strSonidoRespCorrecta(intAleatorio))
End If
End Sub


Public Sub MarcarPantallaActual()
Dim intAux As Integer
'Marca la pantalla actual en el men contextual
For intAux = 1 To intCantidadPantallas
  frmContextual.mnuPantalla(intAux).Checked = False
Next intAux
frmContextual.mnuPantalla(intPantallaActual).Checked = True
End Sub


